/*
 * Created on 2005/05/18
 *
 * For WitMate project
 */
package witmate.tools;

import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;

import witmate.core.admin.Translater;

/**
 * A tool translate SLML file to wit stream file.
 * 
 * @author Witmate
 *
 */
public class SLML2WS extends EndUserTool{

	public static void main(String[] args) {
		initLog4j();
		if(2>args.length){			
			System.out.println("Usage: " +
					"java -cp .\\slml2ws.jar;..\\WitCore\\wittools.jar;..\\WitCore\\witcore-all.jar;.\\lib\\log4j-1.2.9.jar witmate.tools.SLML2WS <input SLML file name> <output Wit Stream file name>");
			//A test usage: java -cp .\\slml2ws.jar;..\\WitCore\\wittools.jar;..\\WitCore\\witcore-all.jar;.\\lib\\log4j-1.2.9.jar witmate.tools.SLML2WS test-data\simple.slml c:\temp\simple.ws
		}else{
			try {
				FileReader fr=new FileReader(args[0]);
				File f=new File(args[1]);
				if(!f.exists()){
					f.createNewFile();
				}
				FileWriter fw=new FileWriter(args[1]);
				Translater.slml2ws(fr, fw);				
				fw.flush();
				fr.close();
				fw.close();
				System.out.println("Finished");
			} catch (Exception e) {				
				e.printStackTrace();
			}		
		}
	}
}
